ENet: ENetPeer Struct Reference

ENet v1.3.18 Reliable UDP networking library

Data Fields
ENetPeer Struct Reference

An ENet peer which data packets may be sent or received from. More...

`#include <enet.h>`

## Data Fields
ENetList | acknowledgements
ENetAddress | address
| Internet address of the peer. More...
size_t | channelCount
| Number of channels allocated for communication with peer. More...
ENetChannel * | channels
enet_uint32 | connectID
void * | data
| Application private data, may be freely modified. More...
ENetList | dispatchedCommands
ENetListNode | dispatchList
enet_uint32 | earliestTimeout
enet_uint32 | eventData
enet_uint16 | flags
enet_uint32 | highestRoundTripTimeVariance
struct _ENetHost * | host
enet_uint32 | incomingBandwidth
| Downstream bandwidth of the client in bytes/second. More...
enet_uint32 | incomingBandwidthThrottleEpoch
enet_uint32 | incomingDataTotal
enet_uint16 | incomingPeerID
enet_uint8 | incomingSessionID
enet_uint16 | incomingUnsequencedGroup
enet_uint32 | lastReceiveTime
enet_uint32 | lastRoundTripTime
enet_uint32 | lastRoundTripTimeVariance
enet_uint32 | lastSendTime
enet_uint32 | lowestRoundTripTime
enet_uint32 | mtu
enet_uint32 | nextTimeout
enet_uint32 | outgoingBandwidth
| Upstream bandwidth of the client in bytes/second. More...
enet_uint32 | outgoingBandwidthThrottleEpoch
ENetList | outgoingCommands
enet_uint32 | outgoingDataTotal
enet_uint16 | outgoingPeerID
enet_uint16 | outgoingReliableSequenceNumber
ENetList | outgoingSendReliableCommands
enet_uint8 | outgoingSessionID
enet_uint16 | outgoingUnsequencedGroup
enet_uint32 | packetLoss
| mean packet loss of reliable packets as a ratio with respect to the constant ENET_PEER_PACKET_LOSS_SCALE More...
enet_uint32 | packetLossEpoch
enet_uint32 | packetLossVariance
enet_uint32 | packetsLost
enet_uint32 | packetsSent
enet_uint32 | packetThrottle
enet_uint32 | packetThrottleAcceleration
enet_uint32 | packetThrottleCounter
enet_uint32 | packetThrottleDeceleration
enet_uint32 | packetThrottleEpoch
enet_uint32 | packetThrottleInterval
enet_uint32 | packetThrottleLimit
enet_uint32 | pingInterval
enet_uint32 | reliableDataInTransit
enet_uint16 | reserved
enet_uint32 | roundTripTime
| mean round trip time (RTT), in milliseconds, between sending a reliable packet and receiving its acknowledgement More...
enet_uint32 | roundTripTimeVariance
ENetList | sentReliableCommands
ENetPeerState | state
enet_uint32 | timeoutLimit
enet_uint32 | timeoutMaximum
enet_uint32 | timeoutMinimum
size_t | totalWaitingData
enet_uint32 | unsequencedWindow [ENET_PEER_UNSEQUENCED_WINDOW_SIZE/32]
enet_uint32 | windowSize

## Detailed Description

An ENet peer which data packets may be sent or received from.

No fields should be modified unless otherwise specified.

## Field Documentation

## ◆ acknowledgements

ENetList ENetPeer::acknowledgements

## ◆ address

ENetAddress ENetPeer::address

Internet address of the peer.

## ◆ channelCount

size_t ENetPeer::channelCount

Number of channels allocated for communication with peer.

## ◆ channels

ENetChannel* ENetPeer::channels

## ◆ connectID

enet_uint32 ENetPeer::connectID

## ◆ data

void* ENetPeer::data

Application private data, may be freely modified.

## ◆ dispatchedCommands

ENetList ENetPeer::dispatchedCommands

## ◆ dispatchList

ENetListNode ENetPeer::dispatchList

## ◆ earliestTimeout

enet_uint32 ENetPeer::earliestTimeout

## ◆ eventData

enet_uint32 ENetPeer::eventData

## ◆ flags

enet_uint16 ENetPeer::flags

## ◆ highestRoundTripTimeVariance

enet_uint32 ENetPeer::highestRoundTripTimeVariance

## ◆ host

struct _ENetHost* ENetPeer::host

## ◆ incomingBandwidth

enet_uint32 ENetPeer::incomingBandwidth

Downstream bandwidth of the client in bytes/second.

## ◆ incomingBandwidthThrottleEpoch

enet_uint32 ENetPeer::incomingBandwidthThrottleEpoch

## ◆ incomingDataTotal

enet_uint32 ENetPeer::incomingDataTotal

## ◆ incomingPeerID

enet_uint16 ENetPeer::incomingPeerID

## ◆ incomingSessionID

enet_uint8 ENetPeer::incomingSessionID

## ◆ incomingUnsequencedGroup

enet_uint16 ENetPeer::incomingUnsequencedGroup

## ◆ lastReceiveTime

enet_uint32 ENetPeer::lastReceiveTime

## ◆ lastRoundTripTime

enet_uint32 ENetPeer::lastRoundTripTime

## ◆ lastRoundTripTimeVariance

enet_uint32 ENetPeer::lastRoundTripTimeVariance

## ◆ lastSendTime

enet_uint32 ENetPeer::lastSendTime

## ◆ lowestRoundTripTime

enet_uint32 ENetPeer::lowestRoundTripTime

## ◆ mtu

enet_uint32 ENetPeer::mtu

## ◆ nextTimeout

enet_uint32 ENetPeer::nextTimeout

## ◆ outgoingBandwidth

enet_uint32 ENetPeer::outgoingBandwidth

Upstream bandwidth of the client in bytes/second.

## ◆ outgoingBandwidthThrottleEpoch

enet_uint32 ENetPeer::outgoingBandwidthThrottleEpoch

## ◆ outgoingCommands

ENetList ENetPeer::outgoingCommands

## ◆ outgoingDataTotal

enet_uint32 ENetPeer::outgoingDataTotal

## ◆ outgoingPeerID

enet_uint16 ENetPeer::outgoingPeerID

## ◆ outgoingReliableSequenceNumber

enet_uint16 ENetPeer::outgoingReliableSequenceNumber

## ◆ outgoingSendReliableCommands

ENetList ENetPeer::outgoingSendReliableCommands

## ◆ outgoingSessionID

enet_uint8 ENetPeer::outgoingSessionID

## ◆ outgoingUnsequencedGroup

enet_uint16 ENetPeer::outgoingUnsequencedGroup

## ◆ packetLoss

enet_uint32 ENetPeer::packetLoss

mean packet loss of reliable packets as a ratio with respect to the constant ENET_PEER_PACKET_LOSS_SCALE

## ◆ packetLossEpoch

enet_uint32 ENetPeer::packetLossEpoch

## ◆ packetLossVariance

enet_uint32 ENetPeer::packetLossVariance

## ◆ packetsLost

enet_uint32 ENetPeer::packetsLost

## ◆ packetsSent

enet_uint32 ENetPeer::packetsSent

## ◆ packetThrottle

enet_uint32 ENetPeer::packetThrottle

## ◆ packetThrottleAcceleration

enet_uint32 ENetPeer::packetThrottleAcceleration

## ◆ packetThrottleCounter

enet_uint32 ENetPeer::packetThrottleCounter

## ◆ packetThrottleDeceleration

enet_uint32 ENetPeer::packetThrottleDeceleration

## ◆ packetThrottleEpoch

enet_uint32 ENetPeer::packetThrottleEpoch

## ◆ packetThrottleInterval

enet_uint32 ENetPeer::packetThrottleInterval

## ◆ packetThrottleLimit

enet_uint32 ENetPeer::packetThrottleLimit

## ◆ pingInterval

enet_uint32 ENetPeer::pingInterval

## ◆ reliableDataInTransit

enet_uint32 ENetPeer::reliableDataInTransit

## ◆ reserved

enet_uint16 ENetPeer::reserved

## ◆ roundTripTime

enet_uint32 ENetPeer::roundTripTime

mean round trip time (RTT), in milliseconds, between sending a reliable packet and receiving its acknowledgement

## ◆ roundTripTimeVariance

enet_uint32 ENetPeer::roundTripTimeVariance

## ◆ sentReliableCommands

ENetList ENetPeer::sentReliableCommands

## ◆ state

ENetPeerState ENetPeer::state

## ◆ timeoutLimit

enet_uint32 ENetPeer::timeoutLimit

## ◆ timeoutMaximum

enet_uint32 ENetPeer::timeoutMaximum

## ◆ timeoutMinimum

enet_uint32 ENetPeer::timeoutMinimum

## ◆ totalWaitingData

size_t ENetPeer::totalWaitingData

## ◆ unsequencedWindow

enet_uint32 ENetPeer::unsequencedWindow[ENET_PEER_UNSEQUENCED_WINDOW_SIZE/32]

## ◆ windowSize

enet_uint32 ENetPeer::windowSize

The documentation for this struct was generated from the following file:

- include/enet/enet.h